export function NumFormat(value) {
    //处理金额
    if (value) {
        return Number(value).toFixed(2)
    } else {
        return '0.00'
    }
}
export function formatReceiptType(value) {// 款项类型：1订单款，2非订单款，3返佣款 4订单款或者非订单款（因财务阶段无法区分订单非订单）, 5供应商退款
    const map = {
        1: '订单',
        2: '非订单',
        3: '返佣',
        4: '订单款或者非订单款',
        5: '供应商退款'
    }
    return map[value]
}

export function formatStateType(value) {// 收款状态： 1待确认、2已确认(待审核)、3审核通过、4审核未通过、5收款撤销【线上支付成功为审核通过】
    const map = {
        1: '待确认',
        2: '已确认(待审核)',
        3: '审核通过',
        4: '审核未通过',
        5: '收款撤销'
    }
    return map[value]
}

export function formatOrderType(value) {// 订单来源
    const map = {
        0: '协销订单',
        1: '自主订单',
        2: '客服订单',
    }
    return map[value]
}

export function stateExpFormat(value) {// 订单状态
    const map = {
        0: '待确认',
        4: '交易完成',
        5: '订单完成',
        6: '已关闭',
        7: '交易全退',
        77: '交易全退',
        11: '待收款待发货',
        12: '待收款部分发货',
        13: '待收款已发货',
        21: '部分收款待发货',
        22: '部分收款部分发货',
        23: '部分收款已发货',
        31: '已收款待发货',
        32: '已收款部分发货',
        33: '已收款已发货',
        111: '待收款待发货'
    }
    return map[value]
}
